# Generated by Django 3.2.7 on 2021-12-07 14:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('navigator_f3', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='CropProfilePlantSpecies',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='identifier')),
                ('plant_species_id', models.CharField(help_text='Plant species identifier in the FaST database, usually corresponds to the IACS plant species identifier', max_length=8, null=True, verbose_name='plant species identifier')),
                ('crop_profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='navigator_f3.cropprofile', verbose_name='crop profile')),
            ],
            options={
                'verbose_name': 'crop profile / plant species mapping',
                'verbose_name_plural': 'crop profile / plant species mappings',
                'db_table': 'crop_profile_plant_species',
                'unique_together': {('crop_profile', 'plant_species_id')},
            },
        ),
    ]
